if (ROBOCUP3DS_CONFIG_INCLUDED)
  return()
endif()
set(ROBOCUP3DS_CONFIG_INCLUDED TRUE)

list(APPEND ROBOCUP3DS_INCLUDE_DIRS /usr/include)

list(APPEND ROBOCUP3DS_LIBRARY_DIRS /usr/lib/x86_64-linux-gnu)

list(APPEND ROBOCUP3DS_CFLAGS -I/usr/include)

list(APPEND ROBOCUP3DS_CXX_FLAGS -std=c++11)
if ("${CMAKE_CXX_COMPILER_ID}" MATCHES "Clang")
  set(ROBOCUP3DS_CXX_FLAGS "${ROBOCUP3DS_CXX_FLAGS} -stdlib=libc++")
endif ()

foreach(lib robocup3ds)
  set(onelib "${lib}-NOTFOUND")
  find_library(onelib ${lib}
    PATHS /usr/lib/x86_64-linux-gnu
    NO_DEFAULT_PATH
    )
  if(NOT onelib)
    message(FATAL_ERROR "Library '${lib}' in package ROBOCUP3DS is not installed properly")
  endif()
  list(APPEND ROBOCUP3DS_LIBRARIES ${onelib})
endforeach()

foreach(dep )
  if(NOT ${dep}_FOUND)
    find_package(${dep} REQUIRED)
  endif()
  string(TOUPPER ${dep} dep_upper)
  list(APPEND ROBOCUP3DS_INCLUDE_DIRS ${${dep_upper}_INCLUDE_DIRS})
  list(APPEND ROBOCUP3DS_LIBRARIES ${${dep_upper}_LIBRARIES})
endforeach()

list(APPEND ROBOCUP3DS_LDFLAGS -L/usr/lib/x86_64-linux-gnu)
